Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: Drew Adams <[email-masked]>
Date: Wed, 5 Mar 2014 07:43:28 -0800 (PST)

>  > Yes, by default I put the breadcrumbs in the mode line.  However, turning
>  > this off (and so restoring the usual mode line for Info) does not change
>  > things: the header line is still visible even when the mode line
>  > disappears.  The header line has never disappeared.  (And I do not
>  > change the Info header line.)
> 
> Does the problem appear when you make a new frame or when you resize an
> existing one that was already visible before?  Is it a standalone frame
> without minibuffer?  What happens when you split the frame or give it
> its own minibuffer window?  Does the modeline reappear when you change
> to another Info node?

The Info frame already exists. It has no minibuffer, and it shows only
buffer *info*.

If I split the window in the frame then there is no problem, but
for the simple reason that no frame fitting is done (no call to
`set-frame-size').

I tried to give the (single-window) frame a minibuffer but was
unsuccessful. I tried both
M-: (set-frame-parameter nil 'minibuffer t) and
M-: (modify-frame-parameters nil '((minibuffer . t))).

Neither had any effect: the value of parameter `minibuffer' remained
nil.  (Am I missing something here?  Is that another bug?)